## Version 5.1.0 du 25/08/2016-15:36

8a33418 ulib/ldif: support de l'opération modrdn
+ b710461 Intégration de la branche apacheconfig
| e52d6c6 déplacer la logique de apacheconfig dans le module apache.tools

## Version 5.0.0 du 09/08/2016-09:42

c00d9e4 cgilsxml.py: prévoir le cas où le fichier disparait pendant que la liste est construite
2fc7392 uxpath.py: bug
f85cd8a foreach: implémenter la syntaxe %var par défaut
de383be foreach: définir des variables supplémentaires pour chaque fichier trouvé
a7fd880 foreach: maj doc
c01eb20 ulib/awk: maj doc
04b723f qsql: compatibilité avec anciennes versions de bash
dcf0e61 module apache: ajout de HTDOCSBASE pour le déploiement multi-homé
7565461 woinst: support du déploiement d'applications construites avec Maven
eb0a3be woctl _create: enlever le suffixe .woa par défaut
d251a4e woinst: tenir compte des variables utilisateurs
2fd51b6 pclone bascule automatiquement sur la branche develop si elle existe
d056be4 foreach: ajouter l'option --parent
63e78f4 ulib: compatibilité avec versions précédentes de bash
64699c0 ensure_hostname(): clarification du message affiché
22acf0a ulib: ajouter _qsql() et qsql() pour quoter des chaines sql
18b2501 prel: améliorer l'affichage du résumé
b8bf04b uawk dump: ajouter le format -v qui affiches des variables individuelles
+ d57839d Intégration de la branche cgilsxml
| 6e67302 la disposition, le type et l'encoding peuvent être spécifique à un expression --spec ou --glob
| b7600aa possibilité de matcher des sous-répertoires dans l'expression --spec. Support du match de type --glob
| a49d6e2 les valeurs None ne sont pas affichées. <break_here/> n'a pas de valeur
16c1936 uawk dump: avec la méthode -a, afficher par défaut un tableau vide avant
c6b6dd4 uawk: ajout de l'alias dump qui avait été oublié
d8ab7f7 cgilsxml.py: cosmetic
0204a21 cgilsxml.py: possibilité de classifier des fichiers au sein d'un groupe avec --break-on
3a9bf04 cgilsxml.py: possibilité de spécifier la disposition du contenu, le type de contenu, ainsi que l'encoding
a730609 cgilsxml.py: permettre de télécharger le fichier avec la disposition inline
ce0193f cgilsxml.py: corriger la doc
1eba9a7 foreach: améliorer l'affichage
c669e8f utempl -t wosrc: si on crée un wosrc dans le répertoire java, enlever automatiquement le package pour les fichiers resources pour une configuration maven
f0f7a6f utempl -t wosrc: génère des pages bootstrap par défaut
8fced87 woctl run: permettre de choisir la version de java utilisée pour le lancement
9fe17b3 Ajouter le script foreach
f5db579 uxpath: support de la modification de la valeur d'un noeud
3653f7d Ajout des fonctions {build,eval}cmd et upvar
7091ecf support de la création d'un template wosrc pour un projet maven
34dbba9 support de l'utilisation des valeurs spécifiques de GIT_ANNEX pour rsync avec git-annex
470d7cf pcrone peut utiliser un répertoire existant
e4b7729 corriger le template shell
28bb531 activer l'auto-complétion sur debian jessie
317dbca ajout de compileAndGo dans les templates
01b9a68 ulib/vcs: corriger le code de git_track_branch. Utiliser ce code dans pdev --sync
fc75fcd runsmod: quelques corrections mineures
5058085 runsmod: Implémenter les fonctionnalités documentées
12c521c indenter l'affichage des fonctions qui demandent une saisie de l'utilisateur
86a5787 em: forcer -nw en mode non display
e74d9e4 bug
9218941 ajouter l'option -g à caturl
fcacf64 maj doc
01ea57e changer l'affichage de udir, et mettre à jour la doc
9fe71b3 ajouter fndate pour dater les fichiers
8143452 rendre ppath() plus résistant
+ c9ce115 Intégration de la branche improve-tls
| d9153af support de la configuration tls selon https://wiki.mozilla.org/Security/Server_Side_TLS
135dbf6 diverses corrections sur runs
3d5aeb2 Ajouter l'option -c à umountr
278bf5a renommer rumount un umountr
+ db76c12 Intégration de la branche runsmod-paths
| a31f8c2 changer la convention de nommage pour les répertoires ~/runs
5a31e7e ulib/java: ajout de la fonction get_java_version()
f74b5e3 Générer la doc au format markdown pour tagadoc
ded89be pdev: corrections pour supporter nouvelle version de git
5d3e9fe runsmod: corriger les valeurs par défaut pour les hôtes dans la bulle serveur
ada3686 uenv: bug dans le calcul des répertoires destination
+ deaa416 Intégration de la branche runsmod-only
| f96c482 proposer de créer la configuration par défaut
| f04e862 implémentation initiale de runsmod
42b9590 cosmetic
9bc373f cgiparams.py: implémenter le code de retour
1834d29 intégrer les fonctionnalités de cgiupload.py dans cgiparams.py

## Version 4.4.1 du 15/04/2016-12:24

a45fd99 awkrun: ajouter l'argument suffix à qsql(), cqsql(), cval()

## Version 4.4.0 du 15/04/2016-12:04

73391a9 awkrun: ajout d'un champ field à cqsql
2f60fec git_track_branch(): support de git >= 1.8.x
130b4d1 tenir compte du fichier /etc/debian_chroot pour initialiser UTOOLS_CHROOT
48c0420 ne pas afficher d'erreur si apache n'est pas installé
5e1a6cf Intégration de la branche rumount
1ad804b implémentation initiale de rumount
f460399 améliorer le calcul du répertoire destination avec pclone/pcrone
6411e63 configurer la valeur de l'umask
eb4362d apacheconfig: déploiement pour plusieurs systèmes à partir des mêmes sources

## Version 4.3.0 du 07/04/2016-14:57

d021c97 support de on_debian() avec des arguments

## Version 4.2.0 du 06/04/2016-14:25

a710c5a Intégration de la branche stdout
ba969e3 ajout de stdredir pour pallier l'absence éventuelle de /dev/std*
472f2c7 Intégration de la branche sysinfos
1864cdf fonctions pour faciliter la gestion des dépendances sous debian
2c27f03 uproject: ajouter la commande xconfig-export
ed3de6d umail: ajout de l'option --gencmd

## Version 4.1.1 du 08/03/2016-12:04

0bd2b1f correction de bugs avec apacheconfig

## Version 4.1.0 du 03/03/2016-11:02

4024b2a pyulib/umail: possibilité de spécifier le type de contenu

## Version 4.0.0 du 01/03/2016-19:08

c46626c ldif: support de dumpcsv et printcsv dans get_transform_cmd()
d661e43 doinplace fonctionne comme la fonction. la version étendue est un lien nommé doinplacex
d6540ac dumpcsv: ajouter l'option --hname
903d500 dumpcsv: ajouter les options --keep-fields, --skip-fields, --dump-headers
af18332 implémenter printcsv
383410a *csv: améliorer cohérences des arguments
4808fa0 dumpcsv: ajout de l'option -b
939b5ad implémenter dumpcsv et nettoyer un peu le code
cb0e553 script doinplace qui mélange les fonctionnalités des fonctions doinplace et evalp
0cf8e04 scripts noerror, noout, noerr qui fonctionnent comme les fonctions du même nom
66249c9 nutools base: ajout de noerror(), noout(), noerr()
db76488 maj doc
40f1bf6 prel: après avoir fusionné une branche, revenir sur develop

## Version 3.5.0 du 26/02/2016-11:35

4648b3f awkrun: ajout de la fonction qarr()
81e7f9b correction de certains messages affichés
0ea24ec ajout de sqlcsv
ad06535 pu: autoriser fast-forward même en cas de modifications locales
1c397e8 ajout des fonctions awk cqsql(), sval(), cval(). réorganiser et clarifier la doc

## Version 3.4.2 du 10/02/2016-11:45

## Version 3.4.1 du 10/02/2016-11:45

a702b89 mergecsv: bug quand left ne contient qu'un seul champ vide

## Version 3.4.0 du 09/02/2016-11:25

788e1ff cgilsxml.py: ajout de l'option -E. bug avec le tri sur des valeurs inexistantes

## Version 3.3.0 du 08/02/2016-09:41

da3ef60 cgilsxml.py: ajouter de squery_string permettant d'ajouter un préfixe
bb25711 cgi: cgierror et cgiredirect arrêtent le script

## Version 3.2.0 du 07/02/2016-23:05

24f3211 cgiparams.py et cgilsxml.py: modifications pour gérer la construction de QUERY_STRING

## Version 3.1.0 du 04/02/2016-13:52

3190a32 cgilsxml.py: ajout de la variable script_base, qui permet de faire des urls relatives
f4537af ussh: bug dans l'analyse des arguments
9992505 ussh: pas de valeur par défaut pour DEFAULT_USER; --parse affiche toutes les options
b19059e Intégration de la branche ussh-auto-persist
5c75737 ussh: configuration du multiplexage pour certains hôtes

## Version 3.0.1 du 31/12/2015-12:36

56c305a awk ne supporte pas \s

## Version 3.0.0 du 24/12/2015-15:39

4b1c30b nouvelles fonctions pour le module cgi. cgilsxml, cgiupload et cgiparams sont rassemblés dans le module cgisupport

## Version 2.26.0 du 24/12/2015-12:17

d5a2cce cgilsxml.py: rajouter la variable env/query_vars

## Version 2.25.0 du 24/12/2015-11:15

6c73940 cgilsxml.py: désactiver le cache par défaut

## Version 2.24.1 du 24/12/2015-10:12

3aba3e3 bug

## Version 2.24.0 du 24/12/2015-09:58

b288cf2 apacheconfig: support des fichiers de confs --> /etc/apache2/cond.d sur debian wheezy-
2e3fe66 ussh: forcer l'allocation d'un tty avec --cc
58fa40c ussh: ajouter le support de uwatch
7bc63c5 maj doc uwatch
2d2754b ajout de uwatch pour afficher un compte
4376fff maj doc
bb176d7 maj du template pour runsconfig

## Version 2.23.1 du 15/12/2015-11:01

d8d0cc8 cgilsxml: sélectionner automatiquement un groupe seul

## Version 2.23.0 du 15/12/2015-10:06

501a7d2 cgilsxml: script_name et xslt peuvent être spécifié dans les paramètres QUERY_STRING
ebe4599 Intégration de la branche runs
35eadc1 correction d'un bug avec la recherche d'un fichier de recette
98ba626 les recettes ont maintenant l'extension .rr par défaut
a2e863e chercher aussi les scripts dans le sous-répertoire runs dans les répertoires d'hôte

## Version 2.22.0 du 07/12/2015-19:05

dbc4d9a uscrontab: ne pas afficher plusieurs fois un même message quand le verrou est posé. n'afficher le message sur la pause qu'avec un tty
9821d20 ajouter le lien vers cgilsxml.py

## Version 2.21.0 du 07/12/2015-15:12

d7b468d cgilsxml: ajouter les variables dlname, size, Y, m, d, H, M, S. maj doc
eac94a7 cgiupload: possibilité de filtrer sur le nom du fichier ou son type de contenu
fae2111 ajout de cgilsxml
26fe709 apacheconfig: -S peut aussi être utilisé avec --localhosts
7c6ad6a apacheconfig: nouvelles options pour le développement
c2d5eab pxs fait aussi git pull avec un dépôt sans annexe
dca7bee pxs fonctionne pour les dépôt normaux comme pci -A

## Version 2.20.0 du 12/11/2015-15:41

16d95d2 apache_autoconf(): déploiement des certificats autorité
775a021 nutools: ajout de cpvcs() pour copier avec la sémantique de cpnovcs() les fichiers de VCS aussi
1ca0ee5 runs: ajout des options --force, --copy-links et --with-vcs à ref()
91686fb templatectl: il n'est plus nécessaire de spécifier explicitement fichier.template

## Version 2.19.0 du 02/11/2015-11:03

37f3bff apacheconfig: diverses corrections de bugs
5d3861b apacheconfig: si host==@@dhost@@, alors hostname=@@dhostname@@ et aliases=@@daliases@@
27592d4 apacheconfig: support des hôtes dynamiques ou statiques
93ac7ea re-écrire la gestion des templates pour apacheconfig et runsconfig

## Version 2.18.0 du 27/10/2015-12:05

434403a Intégration de la branche uscrontab
2118885 uscrontab: possibilité de mettre en pause sans modifier les planifications en cours
0eeee20 awkrun: renommer les fonctions quote_*
18691c8 upassword: maj doc et support des commentaires pour le mode batch

## Version 2.17.2 du 26/09/2015-12:25

1837a0c pxs: corriger xget, xcopy, xmove pour utiliser directement git annex sync

## Version 2.17.1 du 26/09/2015-12:21

c8c6744 pxs: support des versions <= 5.20150825

## Version 2.17.0 du 26/09/2015-11:51

552e4ba améliorer pxs pour un dépôt en mode direct
2ce66e6 maj doc

## Version 2.16.0 du 10/09/2015-11:16

42aa7ea fonctions e*: changer l'affichage en mode NO_COLOR pour afficher les préfixes complets

## Version 2.15.0 du 08/09/2015-10:14

69ee45a Intégration de la branche prel-fixes
47b6e5b créer VERSION.txt et CHANGES.txt à la racine du projet
9d8a747 faire le push à la fin des opérations d'update et/ou de merge

## Version 2.14.0 du 03/09/2015-09:04

9dcd60b pxs transfert les données aussi en mode direct

## Version 2.13.0 du 01/09/2015-15:44

8d2e386 uscrontab: permettre d'ignorer le code d'erreur pour une commande planifiée
aa989ef Intégration de la branche uinst
58d9f16 uinst -y pose toujours la question si le répertoire est calculé automatiquement
594fd4e activer l'autocomplétion pour uinst -h

## Version 2.12.1 du 24/08/2015-16:12

e356c2b bug avec le calcul du système
e040cac Avec les fonctions e*, afficher le statut de façon explicite en mode non coloré

## Version 2.12.0 du 23/08/2015-22:57

dcb85ac Améliorer le déploiement uinst:rsync avec préfixes pour les hôtes distants

## Version 2.11.0 du 21/08/2015-10:31

d9282f7 uinst: ajouter l'option -h pour la méthode uinst:rsync
7643573 nettoyer la branche

## Version 2.10.0 du 19/08/2015-10:23

6ba41b9 support de --uses-su pour ruinst -C

## Version 2.9.0 du 10/08/2015-14:04

447d13f support de nouvelles versions d'OS pour sysinfos
48e111a fconv et fnconv: le premier argument est le fichier s'il n'est pas spécifié avec -f
c29f4b9 mkiso: nouvelles options -A et -V
662b82f caturl --check ne doit pas afficher l'url

## Version 2.8.0 du 22/07/2015-15:09

0f5b572 uinst installe maintenant les profils en mode partagé par défaut
fb6b492 améliorer l'affichage des scripts geturl et openurl

## Version 2.7.0 du 17/07/2015-22:03

7e2a6c3 update-nutools ignore par défaut l'eventuel proxy défini par http_proxy
13215c3 apacheconfig: améliorer l'affichage de l'aide et support du répertoire .apacheconfig
27f5f7a pyulib honore maintenant UTOOLS_NO_COLORS
3ee6cb4 diminuer l'indentation pour les fonctions e*
d4ac5f7 modifier l'affichage des fonction e*

## Version 2.6.0 du 10/07/2015-17:32

efa6b3a Intégration de la branche ftps
3288999 authftp: support tls en forçant l'utilisation de lftp
58e7f6f pconf reconnait maintenant les arguments offline et online

## Version 2.5.1 du 03/07/2015-08:29

abc4cb9 dumpclients: possibilité de choisir les champs supplémentaires à afficher

## Version 2.5.0 du 03/07/2015-07:39

2e15cbe Ajouter l'option -z à dumpclients

## Version 2.4.0 du 01/07/2015-04:04

fda97a8 mise à jour de upassword

## Version 2.3.0 du 01/07/2015-03:09

f581aa9 Intégration de la branche pdev-merges
80d7a73 ajouter les options -b et -s à pdev

## Version 2.2.0 du 24/06/2015-16:19

98cfdfc Intégration de la branche update-upassword
34f027b bug avec la présence du scheme dans sha
b5e6c13 Intégration de la branche update-upassword
e4e2fa7 mise à jour upassword pour afficher sha en hexadécimal

## Version 2.1.1 du 22/06/2015-11:37

40225b0 Intégration de la branche proxy-default
2fa0791 profile.d/proxy lit aussi les valeurs par défaut pour l'hôte

## Version 2.1.0 du 22/06/2015-10:25

2a3eb76 Intégration de la branche uenv-modifs
bd8c7f8 correction d'un bug avec le nom final
d73c929 correction d'un bug avec le choix du répertoire de destination
e9089d8 les répertoires de profil partagé et de machine sont traités comme un seul répertoire
e3f76cd possibilité de spécifier si un profil doit être installé dans le répertoire de profil partagé

## Version 2.0.0 du 22/06/2015-00:48

8286b29 Intégration de la branche uenv-modifs
c43cda0 les répertoires de profil sont spécifiques au nom de la machine

## Version 1.19.0 du 21/06/2015-10:27

387dec2 Intégration de la branche add-pxwa
4d0b734 ajout de la commande xwebapp

## Version 1.18.0 du 09/06/2015-10:40

01e2929 Intégration de la branche fix-javaproperties
b24e9ff norm_properties() affiche les caractères en majuscule, comme JavaProperties#store()

## Version 1.17.0 du 07/06/2015-14:00

e2d0c0c Intégration de la branche pdev-fix
1cc3bd4 ajouter l'option --sync à pdev

## Version 1.16.0 du 04/06/2015-22:14

4a15085 Intégration de la branche verbose-update
8a27561 pu: afficher un message s'il y a des modifications locales

## Version 1.15.0 du 22/05/2015-17:03

e715087 Intégration de la branche update-upassword
a74a373 upassword: possibilité de spécifier de façon dynamique la ligne à afficher après

## Version 1.14.0 du 22/05/2015-16:41

d8f20c3 Intégration de la branche update-upassword
dea524a ajout du mode batch

## Version 1.13.0 du 22/05/2015-16:04

275bff8 Intégration de la branche update-upassword
1ce1d98 mise à jour de upassword

## Version 1.12.0 du 22/05/2015-13:37

57fc84d correction d'un bug avec prel -s
cf108d7 Intégration de la branche prel-show-modifs
a744f48 prel -s afficher la liste des modifications qui seraient enregistrées

## Version 1.11.0 du 22/05/2015-11:41

2984052 Intégration de la branche quiet-completion
755cfa7 ne pas afficher les erreurs pour les fonctions de complétion de git
2b5eb2a Intégration de la branche pu
b004730 uproject update fait fetch puis merge, manuellement

## Version 1.10.0 du 20/05/2015-12:08

bf1d86a Intégration de la branche pu-auto-forward
8bf8164 fast-forwarder automatiquement les branches locales par rapport aux branches distantes
8baabea Intégration de la branche ptools-maj-topic
5ff5b7d déterminer les branches de topic: ignorer les branches avec un slash dans le nom

## Version 1.9.0 du 19/05/2015-18:25

5933089 Intégration de la branche awkfsv
caeb06e possibilité de spécifier les types des champs pour mysqlloadcsv
b2c9f81 uawk requière maintenant de spécifier le nom de l'outil

## Version 1.8.1 du 19/05/2015-10:45

de8d690 Intégration de la branche annex-support
2044181 ne pas synchroniser l'annexe en mode automatique

## Version 1.8.0 du 19/05/2015-10:27

4779695 Intégration de la branche annex-support
89ad130 support de git-annex pour pp et pdev

## Version 1.7.0 du 15/05/2015-16:11

16ad285 Intégration de la branche nutools
93d8262 rajouter le script nutools pour vérifier la version installée de nutools. renommer la fonction nutools() en pconf()

## Version 1.6.0 du 04/05/2015-12:40

0463b2c Intégration de la branche norm_props
48ca720 ajout de l'en-tête

## Version 1.5.1 du 29/04/2015-10:14

4c92f54 Intégration de la branche push-all
02c15f9 pp -a pousse toutes les branches et tous les tags. ajouter les options -b et -t pour pousser respectivement toutes les branches et tous les tags

## Version 1.4.1 du 29/04/2015-10:12

Release erronée, à ignorer

## Version 1.4.0 du 27/04/2015-18:12

7122fc4 Intégration de la branche norm-properties
845c54e ajout de la fonction norm_properties

## Version 1.3.0 du 24/04/2015-12:32

bdc6e9b Intégration de la branche localhost
94b2b48 reconnaitre la valeur spéciale localhost pour check_hostname()

## Version 1.2.4 du 20/04/2015-17:55

988e045 bug

## Version 1.2.3 du 20/04/2015-17:43

Correction d'un bug avec la copie des fichiers

d3ab6b8 bug
7e0d44b cosmetic

## Version 1.2.2 du 20/04/2015-01:16

## Version 1.2.1 du 20/04/2015-01:15

145acfa bug

## Version 1.2.0 du 16/04/2015-13:59

d756a6c Intégration de la branche ldapt
57dac04 support de xempty explicite, et de la possibilité de désactiver ce traitement
75f21b5 support des attributs ordonnés
00088b3 cosmetic

## Version 1.1.1 du 16/04/2015-12:10

Mise à jour de .ulibver

## Version 1.1.0 du 16/04/2015-12:09

4b445a2 Intégration de la branche ldapt-ev
f8bd000 support de la nouvelle fonction ensureval
dbd9605 Intégration de la branche ptools
1fb27d6 pousser le tag quand il a été créé

## Version 1.0.0 du 14/04/2015-10:05

commencer à suivre les versions de nutools: cette release est la première de
la série

66bbf23 Intégration de la branche update-ulibver
f5aeff7 maj de ulib
073e7b0 Intégration de la branche ptools
8f6a32b forcer la création de la destination. afficher un message informatif
48d9104 Intégration de la branche ptools
6890d30 workaround pour le bug sous debian squeeze
91de409 Intégration de la branche ptools
cd50646 ne pas mettre à jour le fichier local
f321f1c Intégration de la branche ptools
6258a6b utiliser la version au lieu de la release
5589314 bug
10a7d4e Intégration de la branche ptools
cd92832 ne pas supprimer la branche develop
3f1dc3e Intégration de la branche ptools
ce050db ajout d'un changelog possibilité d'éditer le changelog avec -e supprimer les options courtes -z et -Z
2bc314c ajout de --merge-log supprimer les options courtes -z et -Z
fc35a05 inclure la liste des modifications dans le log
4578219 Intégration de la branche ptools
5b0715e vérifier la présence dans le dépôt distant
0e6e94c Intégration de la feature branch ptools
10152b4 calcul de newver action delete
6c8e750 implémener -z et -Z
2f41de3 cosmetic
5f6d5bb ajout des options courtes -z et -Z
18bb510 supprimer l'option courte -d qui est déjà utilisée pour diff
dd2a712 ajout de -d et --force-delete
38f04ff maj doc
523d3f1 doc pour nouvelle fonctionnalité à implémenter
13dfb9a Intégration de la feature branch prel-tag
da96f72 ajout d'un tag après fusion de la branche dans master
2a71a51 Intégration de la feature branch prel-tag
09c59d8 ne pas afficher les erreurs
3e514d5 maj doc
f9d4556 Intégration de la feature branch linedots
7ae9b48 ajout de elinedots
ffa9195 fast-forwarder si possible
f64117c cosmetic
d8a3ed4 checkout par défaut
89be42e ne pas utiliser csort
881bcde tenir compte de la valeur de origin
7c67a7f tenir compte des branches potentielles
b757ca1 Intégration de la feature branch git-opts
c3683a5 bug
743e17b fast-forwarder automatiquement la branche vers laquelle on bascule
e3e3bbb ajout de git_fast_forward
1661ee5 ajout des fonctions git_is_ancestor(), git_should_ff(), git_should_push(), git_is_merged()
2e215cc utiliser l'api
b975724 maj doc
262d12e toujours charger le module
8ae0a8d utiliser nouvelle API --add-metadata
259e1be ajout de --add-metadata support de --allow-empty pour --update
8d3ab79 ajout de semver_addmetadata utiliser API moderne pour les perfs
ac940b8 ne garder que les infos sur la branche courante dans les metadata
1e11a57 ajouter pz pour faire une archive d'un projet
9389fb0 autoriser --allow-emptyp pour l'action --show
f90ad4d bug
26aa98f cosmetic
8deda74 cosmetic
f8c4a54 calcul de la version avec --prel
22a26d9 support des numéros style maven
4f0a746 support des fichiers pom.xml
6d85330 Intégration de la feature branch ptools
f60787a prel est maintenant en topevel
7647d2d prel est prêt à passer en toplevel
7c36761 possibilité de faire -u et -m dans la même commande
de618ae possibilité de ne pas supprimer une feature branch après son intégration
57bf621 cosmetic
8d4d35d mettre à jour la version avec pver
f98c977 support de -v en mode auto
4b64305 finaliser l'option -u
5862e75 ne pas charger le fichier s'il n'existe pas
e5b8b81 début d'implémentation de update
9235ce1 nettoyage
ffaed8a quelques corrections
9182dcf maj api chargement depuis ~/etc/completion.d
bbbc35a maj api chargement depuis ~/etc/completion.d
d2133c7 intégrer les modifications faites à l'ur
90772f0 Intégration de la feature branch completion
163df88 bug
e8d683b bug
041a830 suite du support de bash_completion
9c17a60 framework pour la complétion automatique
bbbe6c4 l'option -c ne fait que le basculement ou la création. Le choix de la version se fera avec -u
c5ba03b ajouter les completions pour prel
2b2b7f5 début d'implémentation de prel -c
3f925ca déplacer le code de pver dans ptools
